#### D.4.27.29 zero_decomp

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  zero_decomp(j,ser,@wr); j,ser ideals, @wr=0 or 1
  (@wr=0 for primary decomposition, @wr=1 for computation of associated primes)

Return:
  list = list of primary ideals and their radicals (at even positions in the list) if the input is zero-dimensional and a standardbases with respect to lex-ordering
  If ser!=(0) and ser is contained in j or if j is not zero-dimen- sional then ideal(1),ideal(1) is returned

Note:
  Algorithm of Gianni/Trager/Zacharias

Example:

    LIB "primdec.lib";
    ring  r = 0,(x,y,z),lp;
    poly  p = z2+1;
    poly  q = z4+2;
    ideal i = p^2*q^3,(y-z3)^3,(x-yz+z4)^4;
    i=std(i);
    list  pr= zero_decomp(i,ideal(0),0);
    pr;
    ==> [1]:
    ==>    _[1]=z4+2z2+1
    ==>    _[2]=y3-3y2z3+3yz6-z9
    ==>    _[3]=x4-4x3yz+4x3z4+6x2y2z2-12x2yz5+6x2z8
    ==> [2]:
    ==>    _[1]=z2+1
    ==>    _[2]=y-z3
    ==>    _[3]=x-yz+z4
    ==> [3]:
    ==>    _[1]=z12+6z8+12z4+8
    ==>    _[2]=y3-3y2z3+3yz6-z9
    ==>    _[3]=x4-4x3yz+4x3z4+6x2y2z2-12x2yz5+6x2z8
    ==> [4]:
    ==>    _[1]=z4+2
    ==>    _[2]=y-z3
    ==>    _[3]=x-yz+z4

User manual for Singular version 4.4.1, 2025, generated by texi2html.